---
author: Martin Weise
---

!!! debug "Debug Information"

    Image: [`docker.io/bitnami/mariadb:11.1.3-debian-11-r6`](https://hub.docker.com/r/bitnami/mariadb)

    * Ports: 3306/tcp
    * JDBC: `jdbc://mariadb:<hostname>:3306`

## Overview

The metadata database is the single, central source of truth within DBRepo and holds all metadata information for
interaction between the services and displaying information in the UI.

On the first start, the schema is generated by the file `/docker-entrypoint-initdb.d/setup-schema.sql` within the
container. You can add custom files that should be executed on the first start by placing them into the
`/docker-entrypoint-initdb.d/` folder as well. For example:

```yaml
services:
  dbrepo-metadata-db:
    ...
    volumes:
      - /path/to/setup-schema.sql:/docker-entrypoint-initdb.d/1_setup-schema.sql
      - /path/to/setup-data.sql:/docker-entrypoint-initdb.d/2_setup-data.sql
    ...
```

## Image

:octicons-tag-16:{ title="Minimum version" } 1.4.4

We recommend to use the MariaDB image directly instead of our own maintained image which just copied
the `setup-schema.sql` into the container. This can be done more transparently through volume mounts.

!!! warning "Alphabetic Filename Sorting"

    Beware that the init script provided by Bitnami executes files in alphabetic order! For example: the file 
    `setup-schema.sql` is executed **after** the file `setup-data.sql`! Thefore a sorting prefix 1-9 is recommended!